

var gulp = require('gulp');
var vss = require('vinyl-source-stream');
var browserify = require('browserify');
var reactify = require('reactify');

browserify({
    entries: './JSX-ENTRIES/start.jsx',
    transform: [reactify],
    extensions: ['.jsx', '.js'],
    paths: ['./JSX-MODULES']
})
.bundle()
.on('error', function(error){
    console.log(error);
})
.pipe(vss('start.js'))
.pipe(gulp.dest('./JS-BUNDLE/'));
